bug-autoconf
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

# -*- Autoconf -*-


From: Akim Demaille
Subject: # -*- Autoconf -*-
Date: Fri, 20 Jun 2003 09:41:57 +0200

# Process this file with autoconf to produce a configure script possible bug?)
References: <address@hidden>
From: Akim Demaille <address@hidden>
Date: Fri, 20 Jun 2003 09:41:55 +0200
In-Reply-To: <address@hidden> (address@hidden's
 message of "Sun, 15 Jun 2003 13:14:56 -0500")
Message-ID: <address@hidden>
User-Agent: Gnus/5.1002 (Gnus v5.10.2) Emacs/21.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii



# Copyright (C) 1992, 1993, 1994, 1995, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# We need AC_CONFIG_TESTDIR.
AC_PREREQ([2.57])

AC_INIT([GNU Autoconf], [2.57a], address@hidden)
AC_SUBST([PACKAGE_NAME])dnl
AC_CONFIG_SRCDIR([ChangeLog])

AC_CONFIG_AUX_DIR([config])
AC_CONFIG_FILES([config/Makefile])

AM_INIT_AUTOMAKE([check-news 1.7.2 dist-bzip2 readme-alpha])

# Initialize the test suite and build position independent wrappers.
AC_CONFIG_TESTDIR([tests])
AC_CONFIG_FILES([tests/Makefile tests/atlocal])
AC_CONFIG_FILES([tests/autoconf:tests/wrapper.in],
                [chmod +x tests/autoconf])
AC_CONFIG_FILES([tests/autoheader:tests/wrapper.in],
                [chmod +x tests/autoheader])
AC_CONFIG_FILES([tests/autom4te:tests/wrapper.in],
                [chmod +x tests/autom4te])
AC_CONFIG_FILES([tests/autoreconf:tests/wrapper.in],
                [chmod +x tests/autoreconf])
AC_CONFIG_FILES([tests/autoscan:tests/wrapper.in],
                [chmod +x tests/autoscan])
AC_CONFIG_FILES([tests/autoupdate:tests/wrapper.in],
                [chmod +x tests/autoupdate])
AC_CONFIG_FILES([tests/ifnames:tests/wrapper.in],
                [chmod +x tests/ifnames])
AC_PATH_PROG(EXPR, expr)


# We use a path for GNU m4 so even if users have another m4 first in
# their path, the installer can configure with a path that has GNU m4
# first and get that path embedded in the installed autoconf and
# autoheader scripts.
AC_PROG_GNU_M4
if test x"$ac_cv_prog_gnu_m4" != xyes; then
  AC_MSG_ERROR([GNU M4 1.4 is required])
fi

# Man pages.
AC_CONFIG_FILES(man/Makefile)
AM_MISSING_PROG(HELP2MAN, help2man)

# We use a path for perl so the #! line in autoscan will work.
AC_PATH_PROG([PERL], perl, no)
AC_SUBST([PERL])dnl
if test "$PERL" = no; then
  AC_MSG_ERROR([perl is not found])
fi
$PERL -e 'require 5.005_03;' || {
   AC_MSG_ERROR([Perl 5.005_03 or better is required])
}

# Emacs modes.
AC_CONFIG_FILES([lib/emacs/Makefile])
test x"$EMACS" = xt && EMACS=
AC_CHECK_PROGS(EMACS, emacs xemacs, no)
AM_PATH_LISPDIR

AC_CONFIG_FILES([Makefile doc/Makefile
                 lib/Makefile lib/Autom4te/Makefile lib/autoscan/Makefile
                 lib/m4sugar/Makefile
                 lib/autoconf/Makefile lib/autotest/Makefile
                 bin/Makefile])

AC_OUTPUT
# Report the state of this version of Autoconf if this is a beta.
m4_bmatch(m4_defn([AC_PACKAGE_VERSION]),  [[a-z]],
[    cat <<EOF

You are about to use an experimental version of Autoconf.  Be sure to
read the relevant mailing lists, most importantly <address@hidden>.

Below you will find information on the status of this version of Autoconf.


EOF
    sed -n '/^\* Status/,$p' $srcdir/BUGS
])
I was compiling nmap 3.27 on a ultrasparc 5 running Solaris 9 and ran
into this while doing a ./configure

checking netinet/if_ether.h presence... yes
configure: WARNING: netinet/if_ether.h: present but cannot be compiled
configure: WARNING: netinet/if_ether.h: check for missing prerequisite
headers?
configure: WARNING: netinet/if_ether.h: proceeding with the
preprocessor's result
configure: WARNING:     ## ------------------------------------ ##
configure: WARNING:     ## Report this to address@hidden ##
configure: WARNING:     ## ------------------------------------ ##

autoconf, automake, and gcc are installed from packages at
sunfreeware.com.  I've attached the config.log and config.status

address@hidden nmap-3.27]$ gcc -v
Reading specs from /usr/local/lib/gcc-lib/sparc-sun-solaris2.9/3.2.2/specs
Configured with: ../configure --disable-nls --with-ld=/usr/ccs/bin/ld
--with-as=/usr/ccs/bin/as
Thread model: posix
gcc version 3.2.2

address@hidden nmap-3.27]$ automake --version
automake (GNU automake) 1.7.2
Written by Tom Tromey <address@hidden>.

Copyright 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

address@hidden nmap-3.27]$ autoconf -V
autoconf (GNU Autoconf) 2.57
Written by David J. MacKenzie and Akim Demaille.

Copyright 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

address@hidden sunhelp]# uname -a
SunOS icy 5.9 Generic_112233-02 sun4u sparc SUNW,Ultra-5_10

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by configure, which was
generated by GNU Autoconf 2.57.  Invocation command line was

  $ ./configure 

## --------- ##
## Platform. ##
## --------- ##

hostname = icy
uname -m = sun4u
uname -r = 5.9
uname -s = SunOS
uname -v = Generic_112233-02

/usr/bin/uname -p = sparc
/bin/uname -X     = System = SunOS
Node = icy
Release = 5.9
KernelID = Generic_112233-02
Machine = sun4u
BusType = <unknown>
Serial = <unknown>
Users = <unknown>
OEM# = 0
Origin# = 1
NumCPU = 1

/bin/arch              = sun4
/usr/bin/arch -k       = sun4u
/usr/convex/getsysinfo = unknown
hostinfo               = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /bin
PATH: /usr/bin
PATH: /usr/ucb
PATH: /usr/bin/X11
PATH: /usr/local/bin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/local/sbin
PATH: /usr/ccs/bin
PATH: /usr/lib
PATH: /usr/local/lib
PATH: /usr/local/bin
PATH: /usr/sfw/bin
PATH: /usr/sfw/sbin
PATH: /usr/local/samba/bin
PATH: /usr/lib/inet
PATH: .


## ----------- ##
## Core tests. ##
## ----------- ##

configure:1336: checking for gcc
configure:1362: result: /usr/local/bin/gcc
configure:1606: checking for C compiler version
configure:1609: /usr/local/bin/gcc --version </dev/null >&5
gcc (GCC) 3.2.2
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:1612: $? = 0
configure:1614: /usr/local/bin/gcc -v </dev/null >&5
Reading specs from /usr/local/lib/gcc-lib/sparc-sun-solaris2.9/3.2.2/specs
Configured with: ../configure --disable-nls --with-ld=/usr/ccs/bin/ld 
--with-as=/usr/ccs/bin/as
Thread model: posix
gcc version 3.2.2
configure:1617: $? = 0
configure:1619: /usr/local/bin/gcc -V </dev/null >&5
gcc: argument to `-V' is missing
configure:1622: $? = 1
configure:1646: checking for C compiler default output
configure:1649: /usr/local/bin/gcc    -L/usr/local/lib conftest.c  >&5
configure:1652: $? = 0
configure:1698: result: a.out
configure:1703: checking whether the C compiler works
configure:1709: ./a.out
configure:1712: $? = 0
configure:1729: result: yes
configure:1736: checking whether we are cross compiling
configure:1738: result: no
configure:1741: checking for suffix of executables
configure:1743: /usr/local/bin/gcc -o conftest    -L/usr/local/lib conftest.c  
>&5
configure:1746: $? = 0
configure:1771: result: 
configure:1777: checking for suffix of object files
configure:1799: /usr/local/bin/gcc -c   conftest.c >&5
configure:1802: $? = 0
configure:1824: result: o
configure:1828: checking whether we are using the GNU C compiler
configure:1853: /usr/local/bin/gcc -c   conftest.c >&5
configure:1856: $? = 0
configure:1859: test -s conftest.o
configure:1862: $? = 0
configure:1875: result: yes
configure:1881: checking whether /usr/local/bin/gcc accepts -g
configure:1903: /usr/local/bin/gcc -c -g  conftest.c >&5
configure:1906: $? = 0
configure:1909: test -s conftest.o
configure:1912: $? = 0
configure:1923: result: yes
configure:1940: checking for /usr/local/bin/gcc option to accept ANSI C
configure:2001: /usr/local/bin/gcc  -c -g -O2  conftest.c >&5
configure:2004: $? = 0
configure:2007: test -s conftest.o
configure:2010: $? = 0
configure:2028: result: none needed
configure:2046: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
conftest.c:2: parse error before "me"
configure:2049: $? = 1
configure: failed program was:
| #ifndef __cplusplus
|   choke me
| #endif
configure:2210: checking for g++
configure:2226: found /usr/local/bin/g++
configure:2236: result: g++
configure:2252: checking for C++ compiler version
configure:2255: g++ --version </dev/null >&5
g++ (GCC) 3.2.2
Copyright (C) 2002 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:2258: $? = 0
configure:2260: g++ -v </dev/null >&5
Reading specs from /usr/local/lib/gcc-lib/sparc-sun-solaris2.9/3.2.2/specs
Configured with: ../configure --disable-nls --with-ld=/usr/ccs/bin/ld 
--with-as=/usr/ccs/bin/as
Thread model: posix
gcc version 3.2.2
configure:2263: $? = 0
configure:2265: g++ -V </dev/null >&5
g++: argument to `-V' missing

configure:2268: $? = 1
configure:2271: checking whether we are using the GNU C++ compiler
configure:2296: g++ -c  -I/usr/local/include  conftest.cc >&5
configure:2299: $? = 0
configure:2302: test -s conftest.o
configure:2305: $? = 0
configure:2318: result: yes
configure:2324: checking whether g++ accepts -g
configure:2346: g++ -c -g  conftest.cc >&5
configure:2349: $? = 0
configure:2352: test -s conftest.o
configure:2355: $? = 0
configure:2366: result: yes
configure:2410: g++ -c  -I/usr/local/include  conftest.cc >&5
configure:2413: $? = 0
configure:2416: test -s conftest.o
configure:2419: $? = 0
configure:2446: g++ -c  -I/usr/local/include  conftest.cc >&5
configure: In function `int main()':
configure:2441: `exit' undeclared (first use this function)
configure:2441: (Each undeclared identifier is reported only once for each 
   function it appears in.)
configure:2449: $? = 1
configure: failed program was:
| #line 2429 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| /* end confdefs.h.  */
| 
| int
| main ()
| {
| exit (42);
|   ;
|   return 0;
| }
configure:2410: g++ -c  -I/usr/local/include  conftest.cc >&5
configure:2413: $? = 0
configure:2416: test -s conftest.o
configure:2419: $? = 0
configure:2446: g++ -c  -I/usr/local/include  conftest.cc >&5
configure:2449: $? = 0
configure:2452: test -s conftest.o
configure:2455: $? = 0
configure:2516: checking build system type
configure:2534: result: sparc-sun-solaris2.9
configure:2542: checking host system type
configure:2556: result: sparc-sun-solaris2.9
configure:2725: checking for main in -lm
configure:2750: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lm   >&5
configure:2753: $? = 0
configure:2756: test -s conftest
configure:2759: $? = 0
configure:2771: result: yes
configure:2784: checking for gethostent
configure:2834: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lm  >&5
Undefined                       first referenced
 symbol                             in file
gethostent                          /var/tmp//ccq4lEBu.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:2837: $? = 1
configure: failed program was:
| #line 2789 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| /* end confdefs.h.  */
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char gethostent (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char gethostent ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined (__stub_gethostent) || defined (__stub___gethostent)
| choke me
| #else
| char (*f) () = gethostent;
| #endif
| #ifdef __cplusplus
| }
| #endif
| 
| int
| main ()
| {
| return f != gethostent;
|   ;
|   return 0;
| }
configure:2854: result: no
configure:2860: checking for gethostent in -lnsl
configure:2891: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lnsl  -lm  >&5
configure:2894: $? = 0
configure:2897: test -s conftest
configure:2900: $? = 0
configure:2912: result: yes
configure:2925: checking for setsockopt
configure:2975: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lnsl -lm  >&5
Undefined                       first referenced
 symbol                             in file
setsockopt                          /var/tmp//ccmRgvwm.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:2978: $? = 1
configure: failed program was:
| #line 2930 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| /* end confdefs.h.  */
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char setsockopt (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char setsockopt ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined (__stub_setsockopt) || defined (__stub___setsockopt)
| choke me
| #else
| char (*f) () = setsockopt;
| #endif
| #ifdef __cplusplus
| }
| #endif
| 
| int
| main ()
| {
| return f != setsockopt;
|   ;
|   return 0;
| }
configure:2995: result: no
configure:3001: checking for setsockopt in -lsocket
configure:3032: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lsocket  -lnsl -lm  >&5
configure:3035: $? = 0
configure:3038: test -s conftest
configure:3041: $? = 0
configure:3053: result: yes
configure:3067: checking for nanosleep
configure:3117: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lsocket -lnsl -lm  >&5
Undefined                       first referenced
 symbol                             in file
nanosleep                           /var/tmp//ccOk7ngu.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:3120: $? = 1
configure: failed program was:
| #line 3072 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| /* end confdefs.h.  */
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char nanosleep (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char nanosleep ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined (__stub_nanosleep) || defined (__stub___nanosleep)
| choke me
| #else
| char (*f) () = nanosleep;
| #endif
| #ifdef __cplusplus
| }
| #endif
| 
| int
| main ()
| {
| return f != nanosleep;
|   ;
|   return 0;
| }
configure:3137: result: no
configure:3143: checking for nanosleep in -lposix4
configure:3174: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lposix4  -lsocket -lnsl -lm  >&5
configure:3177: $? = 0
configure:3180: test -s conftest
configure:3183: $? = 0
configure:3195: result: yes
configure:3238: checking how to run the C preprocessor
configure:3274: /usr/local/bin/gcc -E  conftest.c
configure:3280: $? = 0
configure:3312: /usr/local/bin/gcc -E  conftest.c
configure:3319:28: ac_nonexistent.h: No such file or directory
configure:3318: $? = 1
configure: failed program was:
| #line 3303 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:3356: result: /usr/local/bin/gcc -E
configure:3381: /usr/local/bin/gcc -E  conftest.c
configure:3387: $? = 0
configure:3419: /usr/local/bin/gcc -E  conftest.c
configure:3426:28: ac_nonexistent.h: No such file or directory
configure:3425: $? = 1
configure: failed program was:
| #line 3410 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| /* end confdefs.h.  */
| #include <ac_nonexistent.h>
configure:3468: checking for egrep
configure:3478: result: egrep
configure:3483: checking for ANSI C header files
configure:3509: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3512: $? = 0
configure:3515: test -s conftest.o
configure:3518: $? = 0
configure:3607: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lposix4 -lsocket -lnsl -lm  >&5
configure:3610: $? = 0
configure:3612: ./conftest
configure:3615: $? = 0
configure:3630: result: yes
configure:3654: checking for sys/types.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3674: $? = 0
configure:3677: test -s conftest.o
configure:3680: $? = 0
configure:3691: result: yes
configure:3654: checking for sys/stat.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3674: $? = 0
configure:3677: test -s conftest.o
configure:3680: $? = 0
configure:3691: result: yes
configure:3654: checking for stdlib.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3674: $? = 0
configure:3677: test -s conftest.o
configure:3680: $? = 0
configure:3691: result: yes
configure:3654: checking for string.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3674: $? = 0
configure:3677: test -s conftest.o
configure:3680: $? = 0
configure:3691: result: yes
configure:3654: checking for memory.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3674: $? = 0
configure:3677: test -s conftest.o
configure:3680: $? = 0
configure:3691: result: yes
configure:3654: checking for strings.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3674: $? = 0
configure:3677: test -s conftest.o
configure:3680: $? = 0
configure:3691: result: yes
configure:3654: checking for inttypes.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3674: $? = 0
configure:3677: test -s conftest.o
configure:3680: $? = 0
configure:3691: result: yes
configure:3654: checking for stdint.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3718:20: stdint.h: No such file or directory
configure:3674: $? = 1
configure: failed program was:
| #line 3659 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| /* end confdefs.h.  */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| #  include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| 
| #include <stdint.h>
configure:3691: result: no
configure:3654: checking for unistd.h
configure:3671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3674: $? = 0
configure:3677: test -s conftest.o
configure:3680: $? = 0
configure:3691: result: yes
configure:3719: checking pcap.h usability
configure:3732: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:3735: $? = 0
configure:3738: test -s conftest.o
configure:3741: $? = 0
configure:3751: result: yes
configure:3755: checking pcap.h presence
configure:3766: /usr/local/bin/gcc -E  conftest.c
configure:3772: $? = 0
configure:3791: result: yes
configure:3827: checking for pcap.h
configure:3834: result: yes
configure:3839: checking for pcap_datalink in -lpcap
configure:3870: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap  -lposix4 -lsocket -lnsl -lm  >&5
configure:3873: $? = 0
configure:3876: test -s conftest
configure:3879: $? = 0
configure:3891: result: yes
configure:4126: checking if libpcap version is recent enough
configure:4165: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
configure:4168: $? = 0
configure:4170: ./conftest
configure:4173: $? = 0
configure:4175: result: yes
configure:4214: checking for ANSI C header files
configure:4361: result: yes
configure:4386: checking for string.h
configure:4391: result: yes
configure:4395: checking getopt.h usability
configure:4408: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4459:20: getopt.h: No such file or directory
configure:4411: $? = 1
configure: failed program was:
| #line 4397 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| /* end confdefs.h.  */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| #  include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <getopt.h>
configure:4427: result: no
configure:4431: checking getopt.h presence
configure:4442: /usr/local/bin/gcc -E  conftest.c
configure:4461:20: getopt.h: No such file or directory
configure:4448: $? = 1
configure: failed program was:
| #line 4433 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| /* end confdefs.h.  */
| #include <getopt.h>
configure:4467: result: no
configure:4503: checking for getopt.h
configure:4510: result: no
configure:4386: checking for strings.h
configure:4391: result: yes
configure:4386: checking for memory.h
configure:4391: result: yes
configure:4395: checking sys/param.h usability
configure:4408: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4411: $? = 0
configure:4414: test -s conftest.o
configure:4417: $? = 0
configure:4427: result: yes
configure:4431: checking sys/param.h presence
configure:4442: /usr/local/bin/gcc -E  conftest.c
configure:4448: $? = 0
configure:4467: result: yes
configure:4503: checking for sys/param.h
configure:4510: result: yes
configure:4395: checking sys/sockio.h usability
configure:4408: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4411: $? = 0
configure:4414: test -s conftest.o
configure:4417: $? = 0
configure:4427: result: yes
configure:4431: checking sys/sockio.h presence
configure:4442: /usr/local/bin/gcc -E  conftest.c
configure:4448: $? = 0
configure:4467: result: yes
configure:4503: checking for sys/sockio.h
configure:4510: result: yes
configure:4395: checking netinet/if_ether.h usability
configure:4408: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
In file included from 
/usr/local/lib/gcc-lib/sparc-sun-solaris2.9/3.2.2/include/netinet/if_ether.h:37,
                 from configure:4463:
/usr/include/net/if_arp.h:61: field `arp_pa' has incomplete type
/usr/include/net/if_arp.h:62: field `arp_ha' has incomplete type
/usr/include/net/if_arp.h:64: confused by earlier errors, bailing out
configure:4411: $? = 1
configure: failed program was:
| #line 4397 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| /* end confdefs.h.  */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| #  include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <netinet/if_ether.h>
configure:4427: result: no
configure:4431: checking netinet/if_ether.h presence
configure:4442: /usr/local/bin/gcc -E  conftest.c
configure:4448: $? = 0
configure:4467: result: yes
configure:4487: WARNING: netinet/if_ether.h: present but cannot be compiled
configure:4489: WARNING: netinet/if_ether.h: check for missing prerequisite 
headers?
configure:4491: WARNING: netinet/if_ether.h: proceeding with the preprocessor's 
result
configure:4503: checking for netinet/if_ether.h
configure:4510: result: yes
configure:4395: checking bstring.h usability
configure:4408: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4464:21: bstring.h: No such file or directory
configure:4411: $? = 1
configure: failed program was:
| #line 4397 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| #define HAVE_NETINET_IF_ETHER_H 1
| /* end confdefs.h.  */
| #include <stdio.h>
| #if HAVE_SYS_TYPES_H
| # include <sys/types.h>
| #endif
| #if HAVE_SYS_STAT_H
| # include <sys/stat.h>
| #endif
| #if STDC_HEADERS
| # include <stdlib.h>
| # include <stddef.h>
| #else
| # if HAVE_STDLIB_H
| #  include <stdlib.h>
| # endif
| #endif
| #if HAVE_STRING_H
| # if !STDC_HEADERS && HAVE_MEMORY_H
| #  include <memory.h>
| # endif
| # include <string.h>
| #endif
| #if HAVE_STRINGS_H
| # include <strings.h>
| #endif
| #if HAVE_INTTYPES_H
| # include <inttypes.h>
| #else
| # if HAVE_STDINT_H
| #  include <stdint.h>
| # endif
| #endif
| #if HAVE_UNISTD_H
| # include <unistd.h>
| #endif
| #include <bstring.h>
configure:4427: result: no
configure:4431: checking bstring.h presence
configure:4442: /usr/local/bin/gcc -E  conftest.c
configure:4466:21: bstring.h: No such file or directory
configure:4448: $? = 1
configure: failed program was:
| #line 4433 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| #define HAVE_NETINET_IF_ETHER_H 1
| /* end confdefs.h.  */
| #include <bstring.h>
configure:4467: result: no
configure:4503: checking for bstring.h
configure:4510: result: no
configure:4395: checking sys/time.h usability
configure:4408: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4411: $? = 0
configure:4414: test -s conftest.o
configure:4417: $? = 0
configure:4427: result: yes
configure:4431: checking sys/time.h presence
configure:4442: /usr/local/bin/gcc -E  conftest.c
configure:4448: $? = 0
configure:4467: result: yes
configure:4503: checking for sys/time.h
configure:4510: result: yes
configure:4395: checking pwd.h usability
configure:4408: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4411: $? = 0
configure:4414: test -s conftest.o
configure:4417: $? = 0
configure:4427: result: yes
configure:4431: checking pwd.h presence
configure:4442: /usr/local/bin/gcc -E  conftest.c
configure:4448: $? = 0
configure:4467: result: yes
configure:4503: checking for pwd.h
configure:4510: result: yes
configure:4386: checking for unistd.h
configure:4391: result: yes
configure:4523: checking whether time.h and sys/time.h may both be included
configure:4549: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4552: $? = 0
configure:4555: test -s conftest.o
configure:4558: $? = 0
configure:4569: result: yes
configure:4583: checking for inline
configure:4605: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4608: $? = 0
configure:4611: test -s conftest.o
configure:4614: $? = 0
configure:4626: result: inline
configure:4649: checking struct ip
configure:4671: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4674: $? = 0
configure:4677: test -s conftest.o
configure:4680: $? = 0
configure:4682: result: yes
configure:4698: checking ip_v in struct ip
configure:4720: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:4723: $? = 0
configure:4726: test -s conftest.o
configure:4729: $? = 0
configure:4731: result: yes
configure:4803: checking if sockaddr{} has sa_len member
configure:4827: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure: In function `main':
configure:4852: structure has no member named `sa_len'
configure:4830: $? = 1
configure: failed program was:
| #line 4808 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| #define HAVE_NETINET_IF_ETHER_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_PWD_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define BSD_NETWORKING 1
| /* end confdefs.h.  */
| 
| #               include <sys/types.h>
| #               include <sys/socket.h>
| int
| main ()
| {
| unsigned int i = sizeof(((struct sockaddr *)0)->sa_len)
|   ;
|   return 0;
| }
configure:4847: result: no
configure:4856: checking whether byte ordering is bigendian
configure:4884: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure: In function `main':
configure:4907: `bogus' undeclared (first use in this function)
configure:4907: (Each undeclared identifier is reported only once
configure:4907: for each function it appears in.)
configure:4907: parse error before "endian"
configure:4887: $? = 1
configure: failed program was:
| #line 4862 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| #define HAVE_NETINET_IF_ETHER_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_PWD_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define BSD_NETWORKING 1
| /* end confdefs.h.  */
| #include <sys/types.h>
| #include <sys/param.h>
| 
| int
| main ()
| {
| #if !BYTE_ORDER || !BIG_ENDIAN || !LITTLE_ENDIAN
|  bogus endian macros
| #endif
| 
|   ;
|   return 0;
| }
configure:5017: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
configure:5020: $? = 0
configure:5022: ./conftest
configure:5025: $? = 1
configure: program exited with status 1
configure: failed program was:
| #line 4996 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| #define HAVE_NETINET_IF_ETHER_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_PWD_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define BSD_NETWORKING 1
| /* end confdefs.h.  */
| int
| main ()
| {
|   /* Are we little or big endian?  From Harbison&Steele.  */
|   union
|   {
|     long l;
|     char c[sizeof (long)];
|   } u;
|   u.l = 1;
|   exit (u.c[sizeof (long) - 1] == 1);
| }
configure:5041: result: yes
configure:5061: checking if struct in_addr is a wacky huge structure (some Sun 
boxes)
configure:5081: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:5084: $? = 0
configure:5087: test -s conftest.o
configure:5090: $? = 0
configure:5097: result: yes
configure:5152: checking if struct icmp exists
configure:5183: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:5186: $? = 0
configure:5189: test -s conftest.o
configure:5192: $? = 0
configure:5203: result: yes
configure:5212: checking if struct ip exists
configure:5242: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:5245: $? = 0
configure:5248: test -s conftest.o
configure:5251: $? = 0
configure:5262: result: yes
configure:5271: checking if struct ip has ip_sum member
configure:5302: /usr/local/bin/gcc -c -g -O2  conftest.c >&5
configure:5305: $? = 0
configure:5308: test -s conftest.o
configure:5311: $? = 0
configure:5322: result: yes
configure:5345: checking for bzero
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
configure:5409: warning: conflicting types for built-in function `bzero'
configure:5398: $? = 0
configure:5401: test -s conftest
configure:5404: $? = 0
configure:5415: result: yes
configure:5345: checking for snprintf
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
configure:5398: $? = 0
configure:5401: test -s conftest
configure:5404: $? = 0
configure:5415: result: yes
configure:5345: checking for vsnprintf
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
configure:5398: $? = 0
configure:5401: test -s conftest
configure:5404: $? = 0
configure:5415: result: yes
configure:5345: checking for memcpy
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
configure:5412: warning: conflicting types for built-in function `memcpy'
configure:5398: $? = 0
configure:5401: test -s conftest
configure:5404: $? = 0
configure:5415: result: yes
configure:5345: checking for usleep
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
configure:5398: $? = 0
configure:5401: test -s conftest
configure:5404: $? = 0
configure:5415: result: yes
configure:5345: checking for nanosleep
configure:5415: result: no
configure:5345: checking for strerror
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
configure:5398: $? = 0
configure:5401: test -s conftest
configure:5404: $? = 0
configure:5415: result: yes
configure:5345: checking for strcasestr
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
Undefined                       first referenced
 symbol                             in file
strcasestr                          /var/tmp//ccEzs1yb.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:5398: $? = 1
configure: failed program was:
| #line 5350 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| #define HAVE_NETINET_IF_ETHER_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_PWD_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define BSD_NETWORKING 1
| #define WORDS_BIGENDIAN 1
| #define IN_ADDR_DEEPSTRUCT 1
| #define HAVE_STRUCT_ICMP 1
| #define HAVE_STRUCT_IP 1
| #define HAVE_IP_IP_SUM 1
| #define HAVE_BZERO 1
| #define HAVE_SNPRINTF 1
| #define HAVE_VSNPRINTF 1
| #define HAVE_MEMCPY 1
| #define HAVE_USLEEP 1
| #define HAVE_STRERROR 1
| /* end confdefs.h.  */
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char strcasestr (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char strcasestr ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined (__stub_strcasestr) || defined (__stub___strcasestr)
| choke me
| #else
| char (*f) () = strcasestr;
| #endif
| #ifdef __cplusplus
| }
| #endif
| 
| int
| main ()
| {
| return f != strcasestr;
|   ;
|   return 0;
| }
configure:5415: result: no
configure:5345: checking for inet_aton
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
Undefined                       first referenced
 symbol                             in file
inet_aton                           /var/tmp//ccpwZDhs.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:5398: $? = 1
configure: failed program was:
| #line 5350 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| #define HAVE_NETINET_IF_ETHER_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_PWD_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define BSD_NETWORKING 1
| #define WORDS_BIGENDIAN 1
| #define IN_ADDR_DEEPSTRUCT 1
| #define HAVE_STRUCT_ICMP 1
| #define HAVE_STRUCT_IP 1
| #define HAVE_IP_IP_SUM 1
| #define HAVE_BZERO 1
| #define HAVE_SNPRINTF 1
| #define HAVE_VSNPRINTF 1
| #define HAVE_MEMCPY 1
| #define HAVE_USLEEP 1
| #define HAVE_STRERROR 1
| /* end confdefs.h.  */
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char inet_aton (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char inet_aton ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined (__stub_inet_aton) || defined (__stub___inet_aton)
| choke me
| #else
| char (*f) () = inet_aton;
| #endif
| #ifdef __cplusplus
| }
| #endif
| 
| int
| main ()
| {
| return f != inet_aton;
|   ;
|   return 0;
| }
configure:5415: result: no
configure:5345: checking for getopt_long_only
configure:5395: /usr/local/bin/gcc -o conftest -g -O2   -L/usr/local/lib 
conftest.c -lpcap -lposix4 -lsocket -lnsl -lm  >&5
Undefined                       first referenced
 symbol                             in file
getopt_long_only                    /var/tmp//ccX3C0W8.o
ld: fatal: Symbol referencing errors. No output written to conftest
collect2: ld returned 1 exit status
configure:5398: $? = 1
configure: failed program was:
| #line 5350 "configure"
| /* confdefs.h.  */
| 
| #define PACKAGE_NAME ""
| #define PACKAGE_TARNAME ""
| #define PACKAGE_VERSION ""
| #define PACKAGE_STRING ""
| #define PACKAGE_BUGREPORT ""
| #ifdef __cplusplus
| #include <stdlib.h>
| #endif
| #define SOLARIS 1
| #define HAVE_LIBM 1
| #define HAVE_LIBNSL 1
| #define HAVE_LIBSOCKET 1
| #define HAVE_LIBPOSIX4 1
| #define STDC_HEADERS 1
| #define HAVE_SYS_TYPES_H 1
| #define HAVE_SYS_STAT_H 1
| #define HAVE_STDLIB_H 1
| #define HAVE_STRING_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_INTTYPES_H 1
| #define HAVE_UNISTD_H 1
| #define HAVE_LIBPCAP 1
| #define STDC_HEADERS 1
| #define HAVE_STRING_H 1
| #define HAVE_STRINGS_H 1
| #define HAVE_MEMORY_H 1
| #define HAVE_SYS_PARAM_H 1
| #define HAVE_SYS_SOCKIO_H 1
| #define HAVE_NETINET_IF_ETHER_H 1
| #define HAVE_SYS_TIME_H 1
| #define HAVE_PWD_H 1
| #define HAVE_UNISTD_H 1
| #define TIME_WITH_SYS_TIME 1
| #define BSD_NETWORKING 1
| #define WORDS_BIGENDIAN 1
| #define IN_ADDR_DEEPSTRUCT 1
| #define HAVE_STRUCT_ICMP 1
| #define HAVE_STRUCT_IP 1
| #define HAVE_IP_IP_SUM 1
| #define HAVE_BZERO 1
| #define HAVE_SNPRINTF 1
| #define HAVE_VSNPRINTF 1
| #define HAVE_MEMCPY 1
| #define HAVE_USLEEP 1
| #define HAVE_STRERROR 1
| /* end confdefs.h.  */
| /* System header to define __stub macros and hopefully few prototypes,
|     which can conflict with char getopt_long_only (); below.
|     Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
|     <limits.h> exists even on freestanding compilers.  */
| #ifdef __STDC__
| # include <limits.h>
| #else
| # include <assert.h>
| #endif
| /* Override any gcc2 internal prototype to avoid an error.  */
| #ifdef __cplusplus
| extern "C"
| {
| #endif
| /* We use char because int might match the return type of a gcc2
|    builtin and then its argument prototype would still apply.  */
| char getopt_long_only ();
| /* The GNU C library defines this for functions which it implements
|     to always fail with ENOSYS.  Some functions are actually named
|     something starting with __ and the normal name is an alias.  */
| #if defined (__stub_getopt_long_only) || defined (__stub___getopt_long_only)
| choke me
| #else
| char (*f) () = getopt_long_only;
| #endif
| #ifdef __cplusplus
| }
| #endif
| 
| int
| main ()
| {
| return f != getopt_long_only;
|   ;
|   return 0;
| }
configure:5415: result: no
configure:5459: checking for gtk-config
configure:5477: found /usr/sfw/bin/gtk-config
configure:5490: result: /usr/sfw/bin/gtk-config
configure:5497: checking If you have GTK+ installed
configure:5513: result: 1.2.10
configure:5632: creating ./config.status

## ---------------------- ##
## Running config.status. ##
## ---------------------- ##

This file was extended by config.status, which was
generated by GNU Autoconf 2.57.  Invocation command line was

  CONFIG_FILES    = 
  CONFIG_HEADERS  = 
  CONFIG_LINKS    = 
  CONFIG_COMMANDS = 
  $ ./config.status 

on icy

config.status:629: creating Makefile
config.status:732: creating config.h
configure:6677: configuring in nbase
configure:6761: running /bin/bash './configure' --prefix=/usr/local  
'CC=/usr/local/bin/gcc' --cache-file=/dev/null --srcdir=.
configure:6677: configuring in nmapfe
configure:6761: running /bin/bash './configure' --prefix=/usr/local  
'CC=/usr/local/bin/gcc' --cache-file=/dev/null --srcdir=.
configure:6677: configuring in nbase
configure:6761: running /bin/bash './configure' --prefix=/usr/local  
'CC=/usr/local/bin/gcc' --cache-file=/dev/null --srcdir=.
configure:6677: configuring in nmapfe
configure:6761: running /bin/bash './configure' --prefix=/usr/local  
'CC=/usr/local/bin/gcc' --cache-file=/dev/null --srcdir=.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=sparc-sun-solaris2.9
ac_cv_build_alias=sparc-sun-solaris2.9
ac_cv_c_bigendian=yes
ac_cv_c_compiler_gnu=yes
ac_cv_c_inline=inline
ac_cv_cxx_compiler_gnu=yes
ac_cv_env_CC_set=set
ac_cv_env_CC_value=/usr/local/bin/gcc
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_CXXFLAGS_set=
ac_cv_env_CXXFLAGS_value=
ac_cv_env_CXX_set=
ac_cv_env_CXX_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_exeext=
ac_cv_func_bzero=yes
ac_cv_func_gethostent=no
ac_cv_func_getopt_long_only=no
ac_cv_func_inet_aton=no
ac_cv_func_memcpy=yes
ac_cv_func_nanosleep=no
ac_cv_func_setsockopt=no
ac_cv_func_snprintf=yes
ac_cv_func_strcasestr=no
ac_cv_func_strerror=yes
ac_cv_func_usleep=yes
ac_cv_func_vsnprintf=yes
ac_cv_header_bstring_h=no
ac_cv_header_getopt_h=no
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_netinet_if_ether_h=yes
ac_cv_header_pcap_h=yes
ac_cv_header_pwd_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=no
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_param_h=yes
ac_cv_header_sys_sockio_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_time_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_time=yes
ac_cv_header_unistd_h=yes
ac_cv_host=sparc-sun-solaris2.9
ac_cv_host_alias=sparc-sun-solaris2.9
ac_cv_ip_has_ip_sum=yes
ac_cv_lib_m_main=yes
ac_cv_lib_nsl_gethostent=yes
ac_cv_lib_pcap_pcap_datalink=yes
ac_cv_lib_posix4_nanosleep=yes
ac_cv_lib_socket_setsockopt=yes
ac_cv_objext=o
ac_cv_path_GTK_CONFIG=/usr/sfw/bin/gtk-config
ac_cv_prog_CPP=$'/usr/local/bin/gcc -E'
ac_cv_prog_ac_ct_CC=/usr/local/bin/gcc
ac_cv_prog_ac_ct_CXX=g++
ac_cv_prog_cc_g=yes
ac_cv_prog_cc_stdc=
ac_cv_prog_cxx_g=yes
ac_cv_prog_egrep=egrep
ac_cv_sockaddr_has_sa_len=no
ac_cv_struct_icmp_exists=yes
ac_cv_struct_ip_exists=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

CC='/usr/local/bin/gcc'
CFLAGS='-g -O2'
COMPAT_OBJS=''
COMPAT_SRCS=''
CPP='/usr/local/bin/gcc -E'
CPPFLAGS=''
CXX='g++'
CXXFLAGS=' -I/usr/local/include -Wall  -Inbase'
DEFS='-DHAVE_CONFIG_H'
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='egrep'
EXEEXT=''
GTK_CONFIG='/usr/sfw/bin/gtk-config'
INSTALLNMAPFE='install-nmapfe'
LDFLAGS=' -L/usr/local/lib -Lnbase'
LIBOBJS=''
LIBS='-lpcap -lposix4 -lsocket -lnsl -lm  -lnbase'
LTLIBOBJS=''
NBASEDIR='nbase'
OBJEXT='o'
PACKAGE_BUGREPORT=''
PACKAGE_NAME=''
PACKAGE_STRING=''
PACKAGE_TARNAME=''
PACKAGE_VERSION=''
PATH_SEPARATOR=':'
PCAP_CLEAN=''
PCAP_DEPENDS=''
PCAP_DIST_CLEAN=''
SHELL='/bin/bash'
TARGETNMAPFE='nmapfe/nmapfe'
ac_ct_CC='/usr/local/bin/gcc'
ac_ct_CXX='g++'
bindir='${exec_prefix}/bin'
build='sparc-sun-solaris2.9'
build_alias=''
build_cpu='sparc'
build_os='solaris2.9'
build_vendor='sun'
datadir='${prefix}/share'
exec_prefix='${prefix}'
host='sparc-sun-solaris2.9'
host_alias=''
host_cpu='sparc'
host_os='solaris2.9'
host_vendor='sun'
includedir='${prefix}/include'
infodir='${prefix}/info'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
libpcapdir='libpcap-possiblymodified'
localstatedir='${prefix}/var'
mandir='${prefix}/man'
oldincludedir='/usr/include'
prefix='/usr/local'
program_transform_name='s,x,x,'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
subdirs='nbase nmapfe nbase nmapfe '
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

#define BSD_NETWORKING 1
#define HAVE_BZERO 1
#define HAVE_INTTYPES_H 1
#define HAVE_IP_IP_SUM 1
#define HAVE_LIBM 1
#define HAVE_LIBNSL 1
#define HAVE_LIBPCAP 1
#define HAVE_LIBPOSIX4 1
#define HAVE_LIBSOCKET 1
#define HAVE_MEMCPY 1
#define HAVE_MEMORY_H 1
#define HAVE_MEMORY_H 1
#define HAVE_NETINET_IF_ETHER_H 1
#define HAVE_PWD_H 1
#define HAVE_SNPRINTF 1
#define HAVE_STDLIB_H 1
#define HAVE_STRERROR 1
#define HAVE_STRINGS_H 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1
#define HAVE_STRING_H 1
#define HAVE_STRUCT_ICMP 1
#define HAVE_STRUCT_IP 1
#define HAVE_SYS_PARAM_H 1
#define HAVE_SYS_SOCKIO_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define HAVE_UNISTD_H 1
#define HAVE_USLEEP 1
#define HAVE_VSNPRINTF 1
#define IN_ADDR_DEEPSTRUCT 1
#define PACKAGE_BUGREPORT ""
#define PACKAGE_NAME ""
#define PACKAGE_STRING ""
#define PACKAGE_TARNAME ""
#define PACKAGE_VERSION ""
#define SOLARIS 1
#define STDC_HEADERS 1
#define STDC_HEADERS 1
#define TIME_WITH_SYS_TIME 1
#define WORDS_BIGENDIAN 1
#endif
#ifdef __cplusplus
#include <stdlib.h>

configure: exit 0

#! /bin/bash
# Generated by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
ac_cs_recheck=false
ac_cs_silent=false
SHELL=${CONFIG_SHELL-/bin/bash}
## --------------------- ##
## M4sh Initialization.  ##
## --------------------- ##

# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"'
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  set -o posix
fi

# Support unset when possible.
if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi


# Work around bugs in pre-3.0 UWIN ksh.
$as_unset ENV MAIL MAILPATH
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
for as_var in \
  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  LC_TELEPHONE LC_TIME
do
  if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
    eval $as_var=C; export $as_var
  else
    $as_unset $as_var
  fi
done

# Required to use basename.
if expr a : '\(a\)' >/dev/null 2>&1; then
  as_expr=expr
else
  as_expr=false
fi

if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi


# Name of the executable.
as_me=`$as_basename "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
         X"$0" : 'X\(//\)$' \| \
         X"$0" : 'X\(/\)$' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X/"$0" |
    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
          /^X\/\(\/\/\)$/{ s//\1/; q; }
          /^X\/\(\/\).*/{ s//\1/; q; }
          s/.*/./; q'`


# PATH needs CR, and LINENO needs CR and PATH.
# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  echo "#! /bin/sh" >conf$$.sh
  echo  "exit 0"   >>conf$$.sh
  chmod +x conf$$.sh
  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    PATH_SEPARATOR=';'
  else
    PATH_SEPARATOR=:
  fi
  rm -f conf$$.sh
fi


  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
  # Find who we are.  Look in the path if we contain no path at all
  # relative or not.
  case $0 in
    *[\\/]* ) as_myself=$0 ;;
    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
done

       ;;
  esac
  # We did not find ourselves, most probably we were run as `sh COMMAND'
  # in which case we are not to be found in the path.
  if test "x$as_myself" = x; then
    as_myself=$0
  fi
  if test ! -f "$as_myself"; then
    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute 
path" >&5
echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
   { (exit 1); exit 1; }; }
  fi
  case $CONFIG_SHELL in
  '')
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for as_base in sh bash ksh sh5; do
         case $as_dir in
         /*)
           if ("$as_dir/$as_base" -c '
  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
             $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { 
BASH_ENV=; export BASH_ENV; }
             $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
             CONFIG_SHELL=$as_dir/$as_base
             export CONFIG_SHELL
             exec "$CONFIG_SHELL" "$0" ${1+"$@"}
           fi;;
         esac
       done
done
;;
  esac

  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  # uniformly replaced by the line number.  The first 'sed' inserts a
  # line-number line before each line; the second 'sed' does the real
  # work.  The second script uses 'N' to pair each line-number line
  # with the numbered line, and appends trailing '-' during
  # substitution so that $LINENO is not a special case at line end.
  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
  sed '=' <$as_myself |
    sed '
      N
      s,$,-,
      : loop
      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
      t loop
      s,-$,,
      s,^['$as_cr_digits']*\n,,
    ' >$as_me.lineno &&
  chmod +x $as_me.lineno ||
    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a 
POSIX shell" >&5
echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" 
>&2;}
   { (exit 1); exit 1; }; }

  # Don't try to exec as it changes $[0], causing all sort of problems
  # (the dirname of $[0] is not the place where we might find the
  # original and so on.  Autoconf is especially sensible to this).
  . ./$as_me.lineno
  # Exit status is that of the last command.
  exit
}


case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  *c*,-n*) ECHO_N= ECHO_C='
' ECHO_T='      ' ;;
  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
esac

if expr a : '\(a\)' >/dev/null 2>&1; then
  as_expr=expr
else
  as_expr=false
fi

rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
  # We could just check for DJGPP; but this test a) works b) is more generic
  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  if test -f conf$$.exe; then
    # Don't use ln at all; we don't have any links
    as_ln_s='cp -p'
  else
    as_ln_s='ln -s'
  fi
elif ln conf$$.file conf$$ 2>/dev/null; then
  as_ln_s=ln
else
  as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file

if mkdir -p . 2>/dev/null; then
  as_mkdir_p=:
else
  as_mkdir_p=false
fi

as_executable_p="test -f"

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"

# Sed expression to map a string onto a valid variable name.
as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"


# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS="   $as_nl"

# CDPATH.
$as_unset CDPATH

exec 6>&1

# Open the log real soon, to keep \$[0] and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling.  Logging --version etc. is OK.
exec 5>>config.log
{
  echo
  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
} >&5
cat >&5 <<_CSEOF

This file was extended by $as_me, which was
generated by GNU Autoconf 2.57.  Invocation command line was

  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  $ $0 $@

_CSEOF
echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
echo >&5
config_files=" Makefile"
config_headers=" config.h"

ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.

Usage: $0 [OPTIONS] [FILE]...

  -h, --help       print this help, then exit
  -V, --version    print version number, then exit
  -q, --quiet      do not print progress messages
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
  --file=FILE[:TEMPLATE]
                   instantiate the configuration file FILE
  --header=FILE[:TEMPLATE]
                   instantiate the configuration header FILE

Configuration files:
$config_files

Configuration headers:
$config_headers

Report bugs to <address@hidden>."
ac_cs_version="\
config.status
configured by ./configure, generated by GNU Autoconf 2.57,
  with options \" 'CC=/usr/local/bin/gcc'\"

Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=.
# If no file are specified by the user, then we need to provide default
# value.  By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=*)
    ac_option=`expr "x$1" : 'x\([^=]*\)='`
    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
    ac_shift=:
    ;;
  -*)
    ac_option=$1
    ac_optarg=$2
    ac_shift=shift
    ;;
  *) # This is not an option, so the user has probably given explicit
     # arguments.
     ac_option=$1
     ac_need_defaults=false;;
  esac

  case $ac_option in
  # Handling of the options.
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    ac_cs_recheck=: ;;
  --version | --vers* | -V )
    echo "$ac_cs_version"; exit 0 ;;
  --he | --h)
    # Conflict between --help and --header
    { { echo "$as_me:$LINENO: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )
    echo "$ac_cs_usage"; exit 0 ;;
  --debug | --d* | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    $ac_shift
    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
    ac_need_defaults=false;;
  --header | --heade | --head | --hea )
    $ac_shift
    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
    ac_need_defaults=false;;
  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil | --si | --s)
    ac_cs_silent=: ;;

  # This is an error.
  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; } ;;

  *) ac_config_targets="$ac_config_targets $1" ;;

  esac
  shift
done

ac_configure_extra_args=

if $ac_cs_silent; then
  exec 6>/dev/null
  ac_configure_extra_args="$ac_configure_extra_args --silent"
fi

if $ac_cs_recheck; then
  echo "running /bin/bash ./configure "  'CC=/usr/local/bin/gcc' 
$ac_configure_extra_args " --no-create --no-recursion" >&6
  exec /bin/bash ./configure  'CC=/usr/local/bin/gcc' $ac_configure_extra_args 
--no-create --no-recursion
fi

for ac_config_target in $ac_config_targets
do
  case "$ac_config_target" in
  # Handling of arguments.
  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   { (exit 1); exit 1; }; };;
  esac
done

# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
fi

# Have a temporary directory for convenience.  Make it in the build tree
# simply because there is no reason to put it here, and in addition,
# creating and moving files from /tmp can sometimes cause problems.
# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  trap '{ (exit 1); exit 1; }' 1 2 13 15
}

# Create a (secure) tmp directory for tmp files.

{
  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  test -n "$tmp" && test -d "$tmp"
}  ||
{
  tmp=./confstat$$-$RANDOM
  (umask 077 && mkdir $tmp)
} ||
{
   echo "$me: cannot create a temporary directory in ." >&2
   { (exit 1); exit 1; }
}


#
# CONFIG_FILES section.
#

# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
  # Protect against being on the right side of a sed subst in config.status.
  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s,@SHELL@,/bin/bash,;t t
s,@PATH_SEPARATOR@,:,;t t
s,@PACKAGE_NAME@,,;t t
s,@PACKAGE_TARNAME@,,;t t
s,@PACKAGE_VERSION@,,;t t
s,@PACKAGE_STRING@,,;t t
s,@PACKAGE_BUGREPORT@,,;t t
s,@exec_prefix@,${prefix},;t t
s,@prefix@,/usr/local,;t t
s,@program_transform_name@,s,x,x,,;t t
s,@bindir@,${exec_prefix}/bin,;t t
s,@sbindir@,${exec_prefix}/sbin,;t t
s,@libexecdir@,${exec_prefix}/libexec,;t t
s,@datadir@,${prefix}/share,;t t
s,@sysconfdir@,${prefix}/etc,;t t
s,@sharedstatedir@,${prefix}/com,;t t
s,@localstatedir@,${prefix}/var,;t t
s,@libdir@,${exec_prefix}/lib,;t t
s,@includedir@,${prefix}/include,;t t
s,@oldincludedir@,/usr/include,;t t
s,@infodir@,${prefix}/info,;t t
s,@mandir@,${prefix}/man,;t t
s,@build_alias@,,;t t
s,@host_alias@,,;t t
s,@target_alias@,,;t t
s,@DEFS@,-DHAVE_CONFIG_H,;t t
s,@ECHO_C@,,;t t
s,@ECHO_N@,-n,;t t
s,@ECHO_T@,,;t t
s,@LIBS@,-lpcap -lposix4 -lsocket -lnsl -lm  -lnbase,;t t
s,@libpcapdir@,libpcap-possiblymodified,;t t
s,@CC@,/usr/local/bin/gcc,;t t
s,@CFLAGS@,-g -O2,;t t
s,@LDFLAGS@, -L/usr/local/lib -Lnbase,;t t
s,@CPPFLAGS@,,;t t
s,@ac_ct_CC@,/usr/local/bin/gcc,;t t
s,@EXEEXT@,,;t t
s,@OBJEXT@,o,;t t
s,@CXX@,g++,;t t
s,@CXXFLAGS@, -I/usr/local/include -Wall  -Inbase,;t t
s,@ac_ct_CXX@,g++,;t t
s,@COMPAT_OBJS@,,;t t
s,@COMPAT_SRCS@,,;t t
s,@build@,sparc-sun-solaris2.9,;t t
s,@build_cpu@,sparc,;t t
s,@build_vendor@,sun,;t t
s,@build_os@,solaris2.9,;t t
s,@host@,sparc-sun-solaris2.9,;t t
s,@host_cpu@,sparc,;t t
s,@host_vendor@,sun,;t t
s,@host_os@,solaris2.9,;t t
s,@TARGETNMAPFE@,nmapfe/nmapfe,;t t
s,@INSTALLNMAPFE@,install-nmapfe,;t t
s,@CPP@,/usr/local/bin/gcc -E,;t t
s,@EGREP@,egrep,;t t
s,@PCAP_DEPENDS@,,;t t
s,@PCAP_CLEAN@,,;t t
s,@PCAP_DIST_CLEAN@,,;t t
s,@NBASEDIR@,nbase,;t t
s,@GTK_CONFIG@,/usr/sfw/bin/gtk-config,;t t
s,@subdirs@,nbase nmapfe nbase nmapfe ,;t t
s,@LIBOBJS@,,;t t
s,@LTLIBOBJS@,,;t t
CEOF

  # Split the substitutions into bite-sized pieces for seds with
  # small command number limits, like on Digital OSF/1 and HP-UX.
  ac_max_sed_lines=48
  ac_sed_frag=1 # Number of current file.
  ac_beg=1 # First line for current file.
  ac_end=$ac_max_sed_lines # Line after last line for current file.
  ac_more_lines=:
  ac_sed_cmds=
  while $ac_more_lines; do
    if test $ac_beg -gt 1; then
      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    else
      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    fi
    if test ! -s $tmp/subs.frag; then
      ac_more_lines=false
    else
      # The purpose of the label and of the branching condition is to
      # speed up the sed processing (if there are no `@' at all, there
      # is no need to browse any of the substitutions).
      # These are the two extra sed commands mentioned above.
      (echo ':t
  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) 
>$tmp/subs-$ac_sed_frag.sed
      if test -z "$ac_sed_cmds"; then
        ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
      else
        ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
      fi
      ac_sed_frag=`expr $ac_sed_frag + 1`
      ac_beg=$ac_end
      ac_end=`expr $ac_end + $ac_max_sed_lines`
    fi
  done
  if test -z "$ac_sed_cmds"; then
    ac_sed_cmds=cat
  fi
fi # test -n "$CONFIG_FILES"

for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from stdin
        cat >$tmp/stdin
        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)$' \| \
         X"$ac_file" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
          /^X\(\/\/\)$/{ s//\1/; q; }
          /^X\(\/\).*/{ s//\1/; q; }
          s/.*/./; q'`
  { if $as_mkdir_p; then
    mkdir -p "$ac_dir"
  else
    as_dir="$ac_dir"
    as_dirs=
    while test ! -d "$as_dir"; do
      as_dirs="$as_dir $as_dirs"
      as_dir=`(dirname "$as_dir") 2>/dev/null ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$as_dir" : 'X\(//\)[^/]' \| \
         X"$as_dir" : 'X\(//\)$' \| \
         X"$as_dir" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
          /^X\(\/\/\)$/{ s//\1/; q; }
          /^X\(\/\).*/{ s//\1/; q; }
          s/.*/./; q'`
    done
    test ! -n "$as_dirs" || mkdir $as_dirs
  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" 
>&5
echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
   { (exit 1); exit 1; }; }; }

  ac_builddir=.

if test "$ac_dir" != .; then
  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  # A "../" for each directory in $ac_dir_suffix.
  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
else
  ac_dir_suffix= ac_top_builddir=
fi

case $srcdir in
  .)  # No --srcdir option.  We are building in place.
    ac_srcdir=.
    if test -z "$ac_top_builddir"; then
       ac_top_srcdir=.
    else
       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
    fi ;;
  [\\/]* | ?:[\\/]* )  # Absolute path.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir ;;
  *) # Relative path.
    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_builddir$srcdir ;;
esac
# Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
# absolute.
ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`



  if test x"$ac_file" != x-; then
    { echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
    rm -f "$ac_file"
  fi
  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated by config.status.  */
  if test x"$ac_file" = x-; then
    configure_input=
  else
    configure_input="$ac_file.  "
  fi
  configure_input=$configure_input"Generated from `echo $ac_file_in |
                                     sed 's,.*/,,'` by configure."

  # First look for the input files in the build tree, otherwise in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\\/$]*)
         # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input 
file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         echo $f;;
      *) # Relative
         if test -f "$f"; then
           # Build tree
           echo $f
         elif test -f "$srcdir/$f"; then
           # Source tree
           echo $srcdir/$f
         else
           # /dev/null tree
           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         fi;;
      esac
    done` || { (exit 1); exit 1; }
  sed "/^[      ]*VPATH[        ]*=/{
s/:*\$(srcdir):*/:/;
s/:*\${srcdir}:*/:/;
s/:address@hidden@:*/:/;
s/^\([^=]*=[    ]*\):*/\1/;
s/:*$//;
s/^[^=]*=[      ]*$//;
}

:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@configure_input@,$configure_input,;t t
s,@srcdir@,$ac_srcdir,;t t
s,@abs_srcdir@,$ac_abs_srcdir,;t t
s,@top_srcdir@,$ac_top_srcdir,;t t
s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
s,@builddir@,$ac_builddir,;t t
s,@abs_builddir@,$ac_abs_builddir,;t t
s,@top_builddir@,$ac_top_builddir,;t t
s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  rm -f $tmp/stdin
  if test x"$ac_file" != x-; then
    mv $tmp/out $ac_file
  else
    cat $tmp/out
    rm -f $tmp/out
  fi

done

#
# CONFIG_HEADER section.
#

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s,^\([   ]*\)#\([        ]*define[       ][      ]*\)'
ac_dB='[        ].*$,\1#\2'
ac_dC=' '
ac_dD=',;t'
# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_uA='s,^\([   ]*\)#\([        ]*\)undef\([    ][      ]*\)'
ac_uB='$,\1#\2define\3'
ac_uC=' '
ac_uD=',;t'

for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from stdin
        cat >$tmp/stdin
        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}

  # First look for the input files in the build tree, otherwise in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\\/$]*)
         # Absolute (can't be DOS-style, as IFS=:)
         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input 
file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         echo $f;;
      *) # Relative
         if test -f "$f"; then
           # Build tree
           echo $f
         elif test -f "$srcdir/$f"; then
           # Source tree
           echo $srcdir/$f
         else
           # /dev/null tree
           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
         fi;;
      esac
    done` || { (exit 1); exit 1; }
  # Remove the trailing spaces.
  sed 's/[      ]*$//' $ac_file_inputs >$tmp/in

  # Handle all the #define templates only if necessary.
  if grep "^[   ]*#[    ]*define" $tmp/in >/dev/null; then
  # If there are no defines, we may have an empty if/fi
  :
  cat >$tmp/defines.sed <<CEOF
/^[     ]*#[    ]*define/!b
t clr
: clr
${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
${ac_dA}SOLARIS${ac_dB}SOLARIS${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBNSL${ac_dB}HAVE_LIBNSL${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBSOCKET${ac_dB}HAVE_LIBSOCKET${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBPOSIX4${ac_dB}HAVE_LIBPOSIX4${ac_dC}1${ac_dD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIBPCAP${ac_dB}HAVE_LIBPCAP${ac_dC}1${ac_dD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_SOCKIO_H${ac_dB}HAVE_SYS_SOCKIO_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_NETINET_IF_ETHER_H${ac_dB}HAVE_NETINET_IF_ETHER_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_PWD_H${ac_dB}HAVE_PWD_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
${ac_dA}BSD_NETWORKING${ac_dB}BSD_NETWORKING${ac_dC}1${ac_dD}
${ac_dA}WORDS_BIGENDIAN${ac_dB}WORDS_BIGENDIAN${ac_dC}1${ac_dD}
${ac_dA}IN_ADDR_DEEPSTRUCT${ac_dB}IN_ADDR_DEEPSTRUCT${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRUCT_ICMP${ac_dB}HAVE_STRUCT_ICMP${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRUCT_IP${ac_dB}HAVE_STRUCT_IP${ac_dC}1${ac_dD}
${ac_dA}HAVE_IP_IP_SUM${ac_dB}HAVE_IP_IP_SUM${ac_dC}1${ac_dD}
${ac_dA}HAVE_BZERO${ac_dB}HAVE_BZERO${ac_dC}1${ac_dD}
CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  cat >$tmp/defines.sed <<CEOF
/^[     ]*#[    ]*define/!b
t clr
: clr
${ac_dA}HAVE_SNPRINTF${ac_dB}HAVE_SNPRINTF${ac_dC}1${ac_dD}
${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
${ac_dA}HAVE_MEMCPY${ac_dB}HAVE_MEMCPY${ac_dC}1${ac_dD}
${ac_dA}HAVE_USLEEP${ac_dB}HAVE_USLEEP${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  fi # grep

  # Handle all the #undef templates
  cat >$tmp/undefs.sed <<CEOF
/^[     ]*#[    ]*undef/!b
t clr
: clr
${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
${ac_uA}SOLARIS${ac_uB}SOLARIS${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBNSL${ac_uB}HAVE_LIBNSL${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBSOCKET${ac_uB}HAVE_LIBSOCKET${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBPOSIX4${ac_uB}HAVE_LIBPOSIX4${ac_uC}1${ac_uD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIBPCAP${ac_uB}HAVE_LIBPCAP${ac_uC}1${ac_uD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_SOCKIO_H${ac_uB}HAVE_SYS_SOCKIO_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_NETINET_IF_ETHER_H${ac_uB}HAVE_NETINET_IF_ETHER_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_PWD_H${ac_uB}HAVE_PWD_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
${ac_uA}BSD_NETWORKING${ac_uB}BSD_NETWORKING${ac_uC}1${ac_uD}
${ac_uA}WORDS_BIGENDIAN${ac_uB}WORDS_BIGENDIAN${ac_uC}1${ac_uD}
${ac_uA}IN_ADDR_DEEPSTRUCT${ac_uB}IN_ADDR_DEEPSTRUCT${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRUCT_ICMP${ac_uB}HAVE_STRUCT_ICMP${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRUCT_IP${ac_uB}HAVE_STRUCT_IP${ac_uC}1${ac_uD}
${ac_uA}HAVE_IP_IP_SUM${ac_uB}HAVE_IP_IP_SUM${ac_uC}1${ac_uD}
${ac_uA}HAVE_BZERO${ac_uB}HAVE_BZERO${ac_uC}1${ac_uD}
CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  cat >$tmp/undefs.sed <<CEOF
/^[     ]*#[    ]*undef/!b
t clr
: clr
${ac_uA}HAVE_SNPRINTF${ac_uB}HAVE_SNPRINTF${ac_uC}1${ac_uD}
${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
${ac_uA}HAVE_MEMCPY${ac_uB}HAVE_MEMCPY${ac_uC}1${ac_uD}
${ac_uA}HAVE_USLEEP${ac_uB}HAVE_USLEEP${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
s,^[    ]*#[    ]*undef[        ][      ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated by config.status.  */
  if test x"$ac_file" = x-; then
    echo "/* Generated by configure.  */" >$tmp/config.h
  else
    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
  fi
  cat $tmp/in >>$tmp/config.h
  rm -f $tmp/in
  if test x"$ac_file" != x-; then
    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
    else
      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$ac_file" : 'X\(//\)[^/]' \| \
         X"$ac_file" : 'X\(//\)$' \| \
         X"$ac_file" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
          /^X\(\/\/\)$/{ s//\1/; q; }
          /^X\(\/\).*/{ s//\1/; q; }
          s/.*/./; q'`
      { if $as_mkdir_p; then
    mkdir -p "$ac_dir"
  else
    as_dir="$ac_dir"
    as_dirs=
    while test ! -d "$as_dir"; do
      as_dirs="$as_dir $as_dirs"
      as_dir=`(dirname "$as_dir") 2>/dev/null ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
         X"$as_dir" : 'X\(//\)[^/]' \| \
         X"$as_dir" : 'X\(//\)$' \| \
         X"$as_dir" : 'X\(/\)' \| \
         .     : '\(.\)' 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
          /^X\(\/\/\)[^/].*/{ s//\1/; q; }
          /^X\(\/\/\)$/{ s//\1/; q; }
          /^X\(\/\).*/{ s//\1/; q; }
          s/.*/./; q'`
    done
    test ! -n "$as_dirs" || mkdir $as_dirs
  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" 
>&5
echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
   { (exit 1); exit 1; }; }; }

      rm -f $ac_file
      mv $tmp/config.h $ac_file
    fi
  else
    cat $tmp/config.h
    rm -f $tmp/config.h
  fi
done

{ (exit 0); exit 0; }





reply via email to

[Prev in Thread] Current Thread [Next in Thread]